### BEGIN LICENSE
# Copyright (C) 2012 Thomas Hearing <thomas.hearing@gmail.com>
# This program is free software: you can redistribute it and/or modify it 
# under the terms of the GNU General Public License version 3, as published 
# by the Free Software Foundation.
# 
# This program is distributed in the hope that it will be useful, but 
# WITHOUT ANY WARRANTY; without even the implied warranties of 
# MERCHANTABILITY, SATISFACTORY QUALITY, or FITNESS FOR A PARTICULAR 
# PURPOSE.  See the GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License along 
# with this program.  If not, see <http://www.gnu.org/licenses/>.
### END LICENSE

#Contains constants
header="""<html>
<head>
<title>Wiki</title>
<style type="text/css">
* {
font-size:14px;
}
body {
	margin:0px 0px 0px 0px;
	padding:0px 0px 0px 0px;
	font-family:sans;
	font-size:12px;
}
.editsection, .navbar {
	display:none;
}
caption {
	
}
h1, h2, h3 {
	border-bottom-style:solid;
	border-bottom-width:1px;
	border-bottom-color:grey;
}
/*.navbox-group,.navbox-list,.navbox-inner {
	border-style:solid;
	border-width:1px;
	border-color:black;
	background-color:rgba(0,0,50,0.35);
}*/
table {
	background-image:-webkit-linear-gradient(top,#f2f2f2,#e6e6e6);
	border-style:solid;
	border-width:1px;
	border-color:black;
	border-radius:3px 3px 3px 3px;
	padding:2px 2px 2px 2px;
	margin:2px 2px 2px 2px;
}
p {
	padding:2px 2px 2px 2px;
}
a:hover {
	color:#3b5dff;
}
.metadata {
	background-image:-webkit-linear-gradient(top,#ffffbf,#ffffb3);
	width:100%;
	border-top-style:solid;
	border-top-width:1px;
	border-bottom-style:solid;
	border-bottom-width:1px;
	border-left-style:none;
	border-right-style:none;
	border-radius:0px 0px 0px 0px;
	margin:0px 0px 0px 0px;
}
.infobox {
	float:right;
	background-image:-webkit-linear-gradient(top,#f2f2f2,#e6e6e6);
	border-style:solid;
	border-width:1px;
	border-radius:5px 0px 0px 5px;
	border-color:black;
	border-right-style:none;
	margin-left:5px;
	margin-right:0px;
}
.toc {
	background-image:-webkit-linear-gradient(top,#f2f2f2,#e6e6e6);
	border-style:solid;
	border-width:1px;
	border-radius:0px 5px 5px 0px;
	border-color:black;
	border-left-style:none;
	margin-right:5px;
	margin-left:0px;
}
#toctitle {
	text-align:center;
}
.tright {
	padding:5px 5px 5px 5px;
	float:right;
	background-image:-webkit-linear-gradient(top,#f2f2f2,#e6e6e6);
	border-style:solid;
	border-width:1px;
	border-radius:5px 5px 5px 5px;
	border-color:black;
	margin:5px 5px 5px 5px;
}
.tleft {
	padding:5px 5px 5px 5px;
	float:left;
	background-image:-webkit-linear-gradient(top,#f2f2f2,#e6e6e6);
	border-style:solid;
	border-width:1px;
	border-radius:5px 5px 5px 5px;
	border-color:black;
	margin:5px 5px 5px 5px;
}
</style>
</head>
<body>
"""
footer="""
<p>Content from Wikipedia. <a href="http://en.wikipedia.org/wiki/Wikipedia:Copyrights">Copyright information</a>.</p>
</body></html>"""
eheader="""<html>
<head>
<title>Wiki</title>
<style type="text/css">
body {
	font-size:12px;
	margin:0px 0px 0px 0px;
	padding:0px 0px 0px 0px;
	font-family:sans;
	background-image:-webkit-linear-gradient(top,#bfcdff,#b3c3ff);
}
.errorbody {
	position:absolute;
	left:50%; top:50%;
	width:400px; margin-left:-200px;
	height:200px; margin-top:-100px;
	background-image:-webkit-linear-gradient(top,#f2f2f2,#e6e6e6);
	border-style:solid;
	border-width:1px;
	border-radius:5px 5px 5px 5px;
	border-color:black;
}
h1 {
	text-align:center;
}
p {
	padding:2px 2px 2px 2px;
}
a:hover {
	color:#3b5dff;
}
</style>
</head>
<body>
<div class="errorbody">
<h1>Page Load Error</h1>
<p>"""
efooter="""</p>
</div>
</body>
</html>"""

special_page="""<html>
<head>
<title>Wiki</title>
<style type="text/css">
h1 {
	border-bottom-style:solid;
	border-bottom-color:grey;
}
a:hover {
	color:#3b5dff;
}
</style>
</head>
<body>
<h1>!TITLE!</h1>
<p>!CONTENTS!</p>
</body>
</html>
"""
